Bug 116987 - [GTK] [CMake] Add support for building TestWebKitAPI
Summary: [GTK] [CMake] Add support for building TestWebKitAPI
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Gtk (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Martin Robinson
URL:
Keywords:
Depends on:
Blocks: 115966
  Show dependency treegraph
 
Reported: 2013-05-29 12:26 PDT by Martin Robinson
Modified: 2013-08-14 14:02 PDT (History)
6 users (show)

See Also:


Attachments
Patch (8.10 KB, patch)
2013-05-29 12:39 PDT, Martin Robinson
pnormand: review+
buildbot: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from webkit-ews-11 for mac-mountainlion-wk2 (548.66 KB, application/zip)
2013-05-29 13:07 PDT, Build Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Robinson 2013-05-29 12:26:22 PDT
We need to build TestWebKitAPI to run WebKit unit tests.
Comment 1 Martin Robinson 2013-05-29 12:39:15 PDT
Created attachment 203259 [details]
Patch
Comment 2 Build Bot 2013-05-29 13:07:57 PDT
Comment on attachment 203259 [details]
Patch

Attachment 203259 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/743304

New failing tests:
fast/dom/location-new-window-no-crash.html
Comment 3 Build Bot 2013-05-29 13:07:59 PDT
Created attachment 203264 [details]
Archive of layout-test-results from webkit-ews-11 for mac-mountainlion-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: webkit-ews-11  Port: mac-mountainlion-wk2  Platform: Mac OS X 10.8.3
Comment 4 Philippe Normand 2013-08-08 08:21:23 PDT
Comment on attachment 203259 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=203259&action=review

Ok LGTM, I just have a small question:

> Tools/TestWebKitAPI/PlatformGTK.cmake:39
> +    ../../Source/WebCore/platform/gtk/GOwnPtrGtk.cpp

Is this safe? Perhaps there's a WebCore DIR variable that could be used here?
Comment 5 Martin Robinson 2013-08-14 14:02:12 PDT
Committed r154071: <http://trac.webkit.org/changeset/154071>